Import Process

This documentation describes the technical process for importing data using the API.

Step-by-Step Process

Generate Signed Upload URL

Get Upload URL

Request

POST /temporary-upload-url HTTP/1.1

{
  "content_type": "text/csv",
  "file_name": "example.csv"
}

Response

{
  "path": "tmp/3071cc4b-1e05-423c-b5af-dff01c97958d-metaZXhhbXBsZS5jc3Y=-.csv",
  "url": "https://smake-public.s3.eu-west-1.amazonaws.com/tmp/3071cc4b-1e ...",
  "headers": {
    "Content-Type": "text/csv"
  }
}

Note: The upload URL is valid for 10 minutes.

Upload Content

Upload the Content

Request

PUT /temporary-upload-url?...  HTTP/1.1
Content-Type: text/plain

id,handle,locale,name,description,manufacturer,manufacturer_number,brand
361,OTkvY6Q0EPzMbOk4,en,"T-Shirt 6 designable","Iste dolorum cumque ab quas voluptatum.","Kellie Sauer",Zos9y9pfXbhVG3TJ,"Bertram Douglas"

Response

HTTP/1.1 200 OK

Note: Uploaded files will be automatically deleted after 24 hours.

Import Data

For example Product option import